Changeset 2431 for branches


Ignore:
Timestamp:
Jun 13, 2013, 12:39:44 AM (9 years ago)
Author:
tboning
Message:
Fixed httpd.spec.patch from messing with suexec options.
File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/fc19-dev/server/fedora/specs/httpd.spec.patch

    r2429 r2431  
    1 --- httpd.spec.orig     2013-06-09 23:29:34.233169507 -0400
    2 +++ httpd.spec  2013-06-09 23:28:41.956169507 -0400
     1--- httpd.spec.orig     2013-06-13 00:09:01.645740322 -0400
     2+++ httpd.spec  2013-06-13 00:11:16.001740322 -0400
    33@@ -14,7 +14,7 @@
    44 Summary: Apache HTTP Server
     
    1010 Source0: http://www.apache.org/dist/httpd/httpd-%{version}.tar.bz2
    1111 Source1: index.html
     12@@ -85,6 +85,12 @@
     13 Requires(postun): systemd-units
     14 Requires(post): systemd-units
     15 
     16+Provides: scripts-httpd = %{version}-%{release}
     17+Patch1001: httpd-suexec-scripts.patch
     18+Patch1002: httpd-mod_status-security.patch
     19+Patch1003: httpd-304s.patch
     20+Patch1004: httpd-fixup-vhost.patch
     21+
     22 %description
     23 The Apache HTTP Server is a powerful, efficient, and extensible
     24 web server.
     25@@ -95,6 +101,7 @@
     26 Obsoletes: secureweb-devel, apache-devel, stronghold-apache-devel
     27 Requires: apr-devel, apr-util-devel, pkgconfig
     28 Requires: httpd = %{version}-%{release}
     29+Provides: scripts-httpd-devel = %{version}-%{release}
     30 
     31 %description devel
     32 The httpd-devel package contains the APXS binary and other files
     33@@ -133,6 +140,7 @@
     34 Requires(post): openssl, /bin/cat
     35 Requires(pre): httpd
     36 Requires: httpd = 0:%{version}-%{release}, httpd-mmn = %{mmnisa}
     37+Provides: scripts-mod_ssl
     38 Obsoletes: stronghold-mod_ssl
     39 
     40 %description -n mod_ssl
     41@@ -201,6 +209,11 @@
     42 # Prevent use of setcap in "install-suexec-caps" target.
     43 sed -i '/suexec/s,setcap ,echo Skipping setcap for ,' Makefile.in
     44 
     45+%patch1001 -p1 -b .suexec-scripts
     46+%patch1002 -p1 -b .mod_status-security
     47+%patch1003 -p1 -b .scripts-304s
     48+%patch1004 -p1 -b .fixup-vhost
     49+
     50 # Safety check: prevent build if defined MMN does not equal upstream MMN.
     51 vmmn=`echo MODULE_MAGIC_NUMBER_MAJOR | cpp -include include/ap_mmn.h | sed -n '/^2/p'`
     52 if test "x${vmmn}" != "x%{mmn}"; then
     53@@ -247,11 +260,13 @@
     54        --enable-suexec --with-suexec \
     55         --enable-suexec-capabilities \
     56        --with-suexec-caller=%{suexec_caller} \
     57-       --with-suexec-docroot=%{docroot} \
     58-       --without-suexec-logfile \
     59-        --with-suexec-syslog \
     60+       --with-suexec-docroot=/ \
     61+       --with-suexec-userdir=web_scripts \
     62+       --with-suexec-trusteddir=/usr/libexec/scripts-trusted \
     63+       --with-suexec-logfile=%{_localstatedir}/log/httpd/suexec.log \
     64+        --without-suexec-syslog \
     65        --with-suexec-bin=%{_sbindir}/suexec \
     66-       --with-suexec-uidmin=500 --with-suexec-gidmin=100 \
     67+       --with-suexec-uidmin=50 --with-suexec-gidmin=50 \
     68         --enable-pie \
     69         --with-pcre \
     70         --enable-mods-shared=all \
Note: See TracChangeset for help on using the changeset viewer.